Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Interface AsyncTaskService

All Known Implementing Classes:
  AsyncHornetQTaskClient, AsyncMinaTaskClient, TaskClient

    public interface AsyncTaskService

Method Summary
`void` | `activate(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `addAttachment(long taskId, Attachment attachment, Content content, TaskClientHandler.AddAttachmentResponseHandler responseHandler)`
`void` | `addComment(long taskId, Comment comment, TaskClientHandler.AddCommentResponseHandler responseHandler)`
`void` | `addTask(Task task, ContentData content, TaskClientHandler.AddTaskResponseHandler responseHandler)`
`void` | `claim(long taskId, String userId, List<String> groupIds, TaskClientHandler.TaskOperationResponseHandler responseHandler)` Deprecated.
`void` | `claim(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language, TaskClientHandler.TaskOperationResponseHandler responseHandler)` Deprecated.
`void` | `claimNextAvailable(String userId, String language, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `complete(long taskId, String userId, ContentData outputData, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `completeWithResults(long taskId, String userId, Object results, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`boolean` | `connect()`
`boolean` | `connect(String address, int port)`
`void` | `delegate(long taskId, String userId, String targetUserId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `deleteAttachment(long taskId, long attachmentId, long contentId, TaskClientHandler.DeleteAttachmentResponseHandler responseHandler)`
`void` | `deleteComment(long taskId, long commentId, TaskClientHandler.DeleteCommentResponseHandler responseHandler)`
`void` | `deleteFault(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `deleteOutput(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `disconnect()`
`void` | `exit(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `fail(long taskId, String userId, FaultData faultData, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `forward(long taskId, String userId, String targetEntityId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `getContent(long contentId, TaskClientHandler.GetContentResponseHandler responseHandler)`
`void` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getSubTasksByParent(long parentId, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTask(long taskId, TaskClientHandler.GetTaskResponseHandler responseHandler)`
`void` | `getTaskByWorkItemId(long workItemId, TaskClientHandler.GetTaskResponseHandler responseHandler)`
`void` | `getTasksAssignedAsBusinessAdministrator(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsExcludedOwner(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResult, TaskClientHandler.TaskSummaryResponseHandler responseHandler)` Deprecated.
`void` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)` Deprecated.
`void` | `getTasksAssignedAsPotentialOwner(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language, BlockingTaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language, BlockingTaskSummaryResponseHandler responseHandler)` Deprecated.
`void` | `getTasksAssignedAsRecipient(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsTaskInitiator(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsTaskStakeholder(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksByProcessInstanceId(long processInstanceId, TaskClientHandler.GetIdsResponseHandler responseHandler)`
`void` | `getTasksByStatusByProcessId(long processInstanceId, List<Status> status, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksByStatusByProcessIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksOwned(String userId, List<Status> status, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksOwned(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `query(String qlString, Integer size, Integer offset, TaskClientHandler.QueryGenericResponseHandler responseHandler)` Deprecated.
`void` | `register(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `registerForEvent(EventKey key, boolean remove, EventResponseHandler responseHandler)` This method registers for an event key a handler to notify the task life cycle events
`void` | `release(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `remove(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `resume(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `setDocumentContent(long taskId, Content content, TaskClientHandler.SetDocumentResponseHandler responseHandler)`
`void` | `setFault(long taskId, String userId, FaultData fault, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `setOutput(long taskId, String userId, ContentData outputContentData, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `setPriority(long taskId, String userId, int priority, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `skip(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `start(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `stop(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `suspend(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `unregisterForEvent(EventKey key)` This method removes all the handlers associated with an EventKey

Method Detail

### activate

    void activate(long taskId,
                  String userId,
                  TaskClientHandler.TaskOperationResponseHandler responseHandler)

### addAttachment

    void addAttachment(long taskId,
                       Attachment attachment,
                       Content content,
                       TaskClientHandler.AddAttachmentResponseHandler responseHandler)

### addComment

    void addComment(long taskId,
                    Comment comment,
                    TaskClientHandler.AddCommentResponseHandler responseHandler)

### addTask

    void addTask(Task task,
                 ContentData content,
                 TaskClientHandler.AddTaskResponseHandler responseHandler)

### claim

    void claim(long taskId,
               String userId,
               TaskClientHandler.TaskOperationResponseHandler responseHandler)

### claim

    @Deprecated
    void claim(long taskId,
                          String userId,
                          List<String> groupIds,
                          TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Deprecated.

### claimNextAvailable

    void claimNextAvailable(String userId,
                            String language,
                            TaskClientHandler.TaskOperationResponseHandler responseHandler)

### claimNextAvailable

    @Deprecated
    void claimNextAvailable(String userId,
                                       List<String> groupIds,
                                       String language,
                                       TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Deprecated.

### complete

    void complete(long taskId,
                  String userId,
                  ContentData outputData,
                  TaskClientHandler.TaskOperationResponseHandler responseHandler)

### completeWithResults

    void completeWithResults(long taskId,
                             String userId,
                             Object results,
                             TaskClientHandler.TaskOperationResponseHandler responseHandler)

### connect

    boolean connect()

### connect

    boolean connect(String address,
                    int port)

### delegate

    void delegate(long taskId,
                  String userId,
                  String targetUserId,
                  TaskClientHandler.TaskOperationResponseHandler responseHandler)

### deleteAttachment

    void deleteAttachment(long taskId,
                          long attachmentId,
                          long contentId,
                          TaskClientHandler.DeleteAttachmentResponseHandler responseHandler)

### deleteComment

    void deleteComment(long taskId,
                       long commentId,
                       TaskClientHandler.DeleteCommentResponseHandler responseHandler)

### deleteFault

    void deleteFault(long taskId,
                     String userId,
                     TaskClientHandler.TaskOperationResponseHandler responseHandler)

### deleteOutput

    void deleteOutput(long taskId,
                      String userId,
                      TaskClientHandler.TaskOperationResponseHandler responseHandler)

### disconnect

    void disconnect()
                    throws Exception

  Throws:
    `Exception`

### exit

    void exit(long taskId,
              String userId,
              TaskClientHandler.TaskOperationResponseHandler responseHandler)

### fail

    void fail(long taskId,
              String userId,
              FaultData faultData,
              TaskClientHandler.TaskOperationResponseHandler responseHandler)

### forward

    void forward(long taskId,
                 String userId,
                 String targetEntityId,
                 TaskClientHandler.TaskOperationResponseHandler responseHandler)

### getContent

    void getContent(long contentId,
                    TaskClientHandler.GetContentResponseHandler responseHandler)

### getSubTasksAssignedAsPotentialOwner

    void getSubTasksAssignedAsPotentialOwner(long parentId,
                                             String userId,
                                             String language,
                                             TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getSubTasksByParent

    void getSubTasksByParent(long parentId,
                             TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTask

    void getTask(long taskId,
                 TaskClientHandler.GetTaskResponseHandler responseHandler)

### getTaskByWorkItemId

    void getTaskByWorkItemId(long workItemId,
                             TaskClientHandler.GetTaskResponseHandler responseHandler)

### getTasksByProcessInstanceId

    void getTasksByProcessInstanceId(long processInstanceId,
                                     TaskClientHandler.GetIdsResponseHandler responseHandler)

### getTasksAssignedAsBusinessAdministrator

    void getTasksAssignedAsBusinessAdministrator(String userId,
                                                 String language,
                                                 TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksAssignedAsExcludedOwner

    void getTasksAssignedAsExcludedOwner(String userId,
                                         String language,
                                         TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksAssignedAsPotentialOwner

    void getTasksAssignedAsPotentialOwner(String userId,
                                          String language,
                                          TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksAssignedAsPotentialOwner

    @Deprecated
    void getTasksAssignedAsPotentialOwner(String userId,
                                                     List<String> groupIds,
                                                     String language,
                                                     TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Deprecated.

### getTasksAssignedAsPotentialOwner

    @Deprecated
    void getTasksAssignedAsPotentialOwner(String userId,
                                                     List<String> groupIds,
                                                     String language,
                                                     int firstResult,
                                                     int maxResult,
                                                     TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Deprecated.

### getTasksAssignedAsRecipient

    void getTasksAssignedAsRecipient(String userId,
                                     String language,
                                     TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksAssignedAsTaskInitiator

    void getTasksAssignedAsTaskInitiator(String userId,
                                         String language,
                                         TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksAssignedAsTaskStakeholder

    void getTasksAssignedAsTaskStakeholder(String userId,
                                           String language,
                                           TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksOwned

    void getTasksOwned(String userId,
                       String language,
                       TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksOwned

    void getTasksOwned(String userId,
                       List<Status> status,
                       String language,
                       TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### nominate

    void nominate(long taskId,
                  String userId,
                  List<OrganizationalEntity> potentialOwners,
                  TaskClientHandler.TaskOperationResponseHandler responseHandler)

### query

    @Deprecated
    void query(String qlString,
                          Integer size,
                          Integer offset,
                          TaskClientHandler.QueryGenericResponseHandler responseHandler)

  Deprecated.

  This method allows the user to exercise the query of his/her choice. This method will be deleted in future versions. Only select queries are currently supported, for obvious reasons.

  Parameters:
    `qlString` - The query string.
    `size` - Maximum number of results to return.
    `offset` - The offset from the beginning of the result list determining the first result.

### register

    void register(long taskId,
                  String userId,
                  TaskClientHandler.TaskOperationResponseHandler responseHandler)

### registerForEvent

    void registerForEvent(EventKey key,
                          boolean remove,
                          EventResponseHandler responseHandler)

  This method registers for an event key a handler to notify the task life cycle events

  Parameters:
    `key` -
    `remove` - The remove boolean is used to remove the handler after firing a notification
    `responseHandler` -

### unregisterForEvent

    void unregisterForEvent(EventKey key)

  This method removes all the handlers associated with an EventKey

  Parameters:
    `key` -

### release

    void release(long taskId,
                 String userId,
                 TaskClientHandler.TaskOperationResponseHandler responseHandler)

### remove

    void remove(long taskId,
                String userId,
                TaskClientHandler.TaskOperationResponseHandler responseHandler)

### resume

    void resume(long taskId,
                String userId,
                TaskClientHandler.TaskOperationResponseHandler responseHandler)

### setDocumentContent

    void setDocumentContent(long taskId,
                            Content content,
                            TaskClientHandler.SetDocumentResponseHandler responseHandler)

### setFault

    void setFault(long taskId,
                  String userId,
                  FaultData fault,
                  TaskClientHandler.TaskOperationResponseHandler responseHandler)

### setOutput

    void setOutput(long taskId,
                   String userId,
                   ContentData outputContentData,
                   TaskClientHandler.TaskOperationResponseHandler responseHandler)

### setPriority

    void setPriority(long taskId,
                     String userId,
                     int priority,
                     TaskClientHandler.TaskOperationResponseHandler responseHandler)

### skip

    void skip(long taskId,
              String userId,
              TaskClientHandler.TaskOperationResponseHandler responseHandler)

### start

    void start(long taskId,
               String userId,
               TaskClientHandler.TaskOperationResponseHandler responseHandler)

### stop

    void stop(long taskId,
              String userId,
              TaskClientHandler.TaskOperationResponseHandler responseHandler)

### suspend

    void suspend(long taskId,
                 String userId,
                 TaskClientHandler.TaskOperationResponseHandler responseHandler)

### getTasksAssignedAsPotentialOwnerByStatus

    void getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                  List<Status> status,
                                                  String language,
                                                  BlockingTaskSummaryResponseHandler responseHandler)

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    @Deprecated
    void getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                    List<String> groupIds,
                                                                    List<Status> status,
                                                                    String language,
                                                                    BlockingTaskSummaryResponseHandler responseHandler)

  Deprecated.

### getTasksByStatusByProcessId

    void getTasksByStatusByProcessId(long processInstanceId,
                                     List<Status> status,
                                     String language,
                                     TaskClientHandler.TaskSummaryResponseHandler responseHandler)

### getTasksByStatusByProcessIdByTaskName

    void getTasksByStatusByProcessIdByTaskName(long processInstanceId,
                                               List<Status> status,
                                               String taskName,
                                               String language,
                                               TaskClientHandler.TaskSummaryResponseHandler responseHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.